Debian Bug report logs - #659423
ifmail: Uses perl4 corelibs without Depends

version graph

Package: ifmail; Maintainer for ifmail is Marco d'Itri <md@linux.it>; Source for ifmail is src:ifmail.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Fri, 10 Feb 2012 23:51:02 UTC

Severity: normal

Tags: patch

Found in version ifmail/2.14tx8.10-20

Fixed in version ifmail/2.14tx8.10-21

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#659423; Package ifmail. (Fri, 10 Feb 2012 23:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 10 Feb 2012 23:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: ifmail: Uses perl4 corelibs without Depends
Date: Fri, 10 Feb 2012 23:48:28 +0000
Package: ifmail
Version: 2.14tx8.10-20
Severity: normal
User: debian-perl@lists.debian.org
Usertags: perl4-corelibs

Dear maintainer,

This package currently uses one or more deprecated perl 4 era packages,
as shown on the lintian report[1]:

usr/lib/ifmail/fido.daily:24 getopts.pl

As detailed at [2] we would like you to either add a dependency on

libperl4-corelibs-perl | perl (<< 5.12.3-7)

or (ideally) to replace their use with more modern equivalents.
We'd like to have this in place for wheezy, so that we can follow
cleanly the upstream deprecation cycle in wheezy+1.

If you prefer, I will NMU your package with the dependency added.

The wiki page [2] has references (taken from the source of the libraries
in question) for the recommended replacement libraries.

Thanks,
Dominic.

[1] <http://lintian.debian.org/tags/script-uses-perl4-libs-without-dep.html>
[2] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#659423; Package ifmail. (Sun, 18 Mar 2012 16:27:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sun, 18 Mar 2012 16:27:17 GMT) Full text and rfc822 format available.

Message #10 received at 659423@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 658917@bugs.debian.org, 658931@bugs.debian.org, 658932@bugs.debian.org, 658945@bugs.debian.org, 658949@bugs.debian.org, 659421@bugs.debian.org, 659422@bugs.debian.org, 659423@bugs.debian.org, 659424@bugs.debian.org, 659429@bugs.debian.org
Subject: Intent to NMU in the coming weeks
Date: Sun, 18 Mar 2012 16:22:11 +0000
Dear maintainer,

As I would like to get all of the Perl4::Corelibs issues sorted out
before wheezy releases, to ease the transition for perl 5.16 in
wheezy+1, I intend to file NMUs for these issues, adding the dependency

libperl4-corelibs-perl | perl (<< 5.12.3-7)

as per the lintian descriptions and wiki[1]. I will upload them to
DELAYED/10. If you plan to fix these bugs before wheezy and would prefer
that I *don'* provide an NMU for the issue in your package, just let me
know.

Thanks,
Dominic.

[1] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#659423; Package ifmail. (Sat, 28 Apr 2012 15:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 28 Apr 2012 15:48:04 GMT) Full text and rfc822 format available.

Message #15 received at 659423@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 659423@bugs.debian.org
Subject: ifmail: diff for NMU version 2.14tx8.10-20.1
Date: Sat, 28 Apr 2012 16:44:02 +0100
[Message part 1 (text/plain, inline)]
tags 659423 + patch
tags 659423 + pending
thanks

Dear maintainer,

I've prepared an NMU for ifmail (versioned as 2.14tx8.10-20.1) and
uploaded it to DELAYED/10. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)
[ifmail-2.14tx8.10-20.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 28 Apr 2012 15:48:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 28 Apr 2012 15:48:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#659423; Package ifmail. (Sat, 28 Apr 2012 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 28 Apr 2012 16:27:03 GMT) Full text and rfc822 format available.

Message #24 received at 659423@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 659423@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#659423: ifmail: diff for NMU version 2.14tx8.10-20.1
Date: Sat, 28 Apr 2012 17:26:01 +0100
tags 659423 - pending
thanks

On Sat, Apr 28, 2012 at 04:44:02PM +0100, Dominic Hargreaves wrote:
> I've prepared an NMU for ifmail (versioned as 2.14tx8.10-20.1) and
> uploaded it to DELAYED/10. Please feel free to tell me if I
> should delay it longer.

Oops, sorry. I'd lost track of the fact that you requested no NMU.
I've cancelled the deferred upload.

Do let me know if you won't be able to fix this for wheezy.

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Removed tag(s) pending. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 28 Apr 2012 16:27:06 GMT) Full text and rfc822 format available.

Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. (Mon, 14 May 2012 04:00:08 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Mon, 14 May 2012 04:00:08 GMT) Full text and rfc822 format available.

Message #31 received at 659423-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 659423-close@bugs.debian.org
Subject: Bug#659423: fixed in ifmail 2.14tx8.10-21
Date: Mon, 14 May 2012 03:56:07 +0000
Source: ifmail
Source-Version: 2.14tx8.10-21

We believe that the bug you reported is fixed in the latest version of
ifmail, which is due to be installed in the Debian FTP archive:

ifcico_2.14tx8.10-21_i386.deb
  to main/i/ifmail/ifcico_2.14tx8.10-21_i386.deb
ifgate_2.14tx8.10-21_i386.deb
  to main/i/ifmail/ifgate_2.14tx8.10-21_i386.deb
ifmail_2.14tx8.10-21.debian.tar.xz
  to main/i/ifmail/ifmail_2.14tx8.10-21.debian.tar.xz
ifmail_2.14tx8.10-21.dsc
  to main/i/ifmail/ifmail_2.14tx8.10-21.dsc
ifmail_2.14tx8.10-21_all.deb
  to main/i/ifmail/ifmail_2.14tx8.10-21_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659423@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated ifmail package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 14 May 2012 05:17:39 +0200
Source: ifmail
Binary: ifmail ifgate ifcico
Architecture: source all i386
Version: 2.14tx8.10-21
Distribution: unstable
Urgency: low
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 ifcico     - Fidonet Technology transport package
 ifgate     - Internet to Fidonet gateway
 ifmail     - Internet to Fidonet gateway
Closes: 659423
Changes: 
 ifmail (2.14tx8.10-21) unstable; urgency=low
 .
   * Do not use perl4 modules. (Closes: #659423)
   * Added support for dpkg-buildflags and hardening.
   * Package converted to source format 3.0.
Checksums-Sha1: 
 966e5d76376b9d7a70aca2060593991b45afe22b 1136 ifmail_2.14tx8.10-21.dsc
 0365f9497580398c3c785faaf0b4fd1538309fe1 38848 ifmail_2.14tx8.10-21.debian.tar.xz
 04c249055f0a6a072cacc6f5964fca4e7372aaea 51456 ifmail_2.14tx8.10-21_all.deb
 e9805243aa33902b213df14ab15c6c8147abb131 250716 ifgate_2.14tx8.10-21_i386.deb
 e3be61a8b32a687c4dc75ae41eda4c738fbbc999 326208 ifcico_2.14tx8.10-21_i386.deb
Checksums-Sha256: 
 662a1e0ea876483010fc28b12834a8162e4f173db96585938a84a5cbfb9f48f1 1136 ifmail_2.14tx8.10-21.dsc
 8a0692870c059522a4708daae443f44700d19415712b13d699b28ac0f53c8d3e 38848 ifmail_2.14tx8.10-21.debian.tar.xz
 d7e73fccb17b7f34f800e86d871dc6bc13fe41113380409eb66f70dd46d5556a 51456 ifmail_2.14tx8.10-21_all.deb
 0b6752b050da02dd712248dee78966700b557f500a395d58e558b10f1dd49cc0 250716 ifgate_2.14tx8.10-21_i386.deb
 b341611624eaeba60bc9ae444c17d61b20e4a0e8c8825d2fd4cd870b89b68cb1 326208 ifcico_2.14tx8.10-21_i386.deb
Files: 
 07222a8ca32eabedc2bfeb27a3a900b1 1136 comm extra ifmail_2.14tx8.10-21.dsc
 0aa82def9dfbf131d62403e8e1cc07c7 38848 comm extra ifmail_2.14tx8.10-21.debian.tar.xz
 2655001f5f02e86403c23b07ce06444e 51456 comm extra ifmail_2.14tx8.10-21_all.deb
 653f1deaf7161d4ebe5cd6c5374cad9f 250716 comm extra ifgate_2.14tx8.10-21_i386.deb
 088295d0cbf5d013a4f03c918d5f0bb0 326208 comm extra ifcico_2.14tx8.10-21_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+weWwACgkQFGfw2OHuP7FHLwCcDr2H+zFiKyDIeP6Ul/KVdwEB
xJ0AnRSjZS8WzCAOM/8MdXRk/2Au8TUQ
=7K9d
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Jun 2012 07:35:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:06:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.